<?php

require_once 'Schedule.php';

$stations = [
    "EDWW_CTR",
    "EDWW_A_CTR",
    "EDWW_B_CTR",
    "EDWW_M_CTR",
    "EDWW_K_CTR",
    "EDWW_F_CTR",
    "EDMM_M_CTR",
    "EDMM_H_CTR",
    "EDMM_G_CTR",
    "EDMM_O_CTR",
    "EDUU_H_CTR",
    "EDUU_P_CTR",
    "EDUU_A_CTR",
    "EDUU_R_CTR",
    "--",
    "EDDB_S_APP",
    "EDDB_N_APP",
    "EDDB_U_APP",
    "EDDB_F_APP",
    "EDDB_S_DEP",
    "EDDB_N_DEP",
    "--",
    "EDDB_N_TWR",
    "EDDB_S_TWR",
    "EDDB_A_GND",
    "EDDB_E_GND",
    "EDDB_N_GND",
    "EDDB_S_GND",
    "EDDB_DEL",
    "--",
    "EDDP_S_APP",
    "EDDP_F_APP",
    "EDDP_N_APP",
    "EDDP_N_TWR",
    "EDDP_S_TWR",
    "EDDP_GND",
    "EDDP_DEL",
    "--",
    "EDDC_APP",
    "EDDC_TWR",
    "EDDC_GND",
    "EDDC_A_GND",
    "--",
    "EDDE_TWR",
    "EDDE_GND",
    "EDDE_A_GND"
];

$stations_berlin = [
    "EDWW_CTR",
    "EDWW_A_CTR",
    "EDWW_B_CTR",
    "EDWW_M_CTR",
    "EDWW_K_CTR",
    "EDWW_F_CTR",
    "EDMM_M_CTR",
    "EDMM_H_CTR",
    "EDMM_G_CTR",
    "EDMM_O_CTR",
    "EDUU_H_CTR",
    "EDUU_P_CTR",
    "EDUU_A_CTR",
    "EDUU_R_CTR",
    "--",
    "EDDB_S_APP",
    "EDDB_N_APP",
    "EDDB_U_APP",
    "EDDB_F_APP",
    "EDDB_S_DEP",
    "EDDB_N_DEP",
    "--",
    "EDDB_N_TWR",
    "EDDB_S_TWR",
    "EDDB_A_GND",
    "EDDB_E_GND",
    "EDDB_N_GND",
    "EDDB_S_GND",
    "EDDB_DEL",

];

$optional = [
    "EDWW_CTR",
    "EDWW_A_CTR",
    "EDWW_M_CTR",
    "EDWW_K_CTR",
    "EDWW_F_CTR",
    "EDMM_M_CTR",
    "EDMM_O_CTR",
    "EDMM_H_CTR",
    "EDUU_H_CTR",
    "EDUU_P_CTR",
    "EDUU_A_CTR",
    "EDUU_R_CTR",
    "EDDB_N_APP",
    "EDDB_F_APP",
    "EDDB_N_DEP",
    "EDDB_N_TWR",
    "EDDB_E_GND",
    "EDDB_N_GND",
    "EDDP_F_APP",
    "EDDP_N_APP",
    "EDDP_N_TWR",
    "EDDP_GND",
    "EDDP_DEL",
    "EDDC_APP",
    "EDDC_GND",
    "EDDC_A_GND",
    "EDDE_GND",
    "EDDE_A_GND"
];

$wantedstns = [
    'EDWW_B_CTR', 
    'EDMM_G_CTR', 
    'EDDB_S_APP', 
    'EDDB_U_APP', 
    'EDDB_S_DEP', 
    'EDDB_S_TWR', 
    'EDDB_A_GND', 
    'EDDB_DEL', 
    'EDDB_S_GND'
];

$wanted = Schedule::processWantedDays(
    $wantedstns, 
    Schedule::EveryWeekday("Tuesday", 5), 
    $wantedstns, 
    Schedule::EveryXWeeksFromStartdate("2021-10-08", 4, 2));

if(isset($_COOKIE['darkmode']) && $_COOKIE['darkmode'] == 'On') {
    $darkmode = true;
} else {
    $darkmode = false;
}
