<?php

include "Schedule.php";

$stations = [
    "EDWW_CTR",
    "EDWW_A_CTR",
    "EDWW_B_CTR",
    "EDWW_M_CTR",
    "EDWW_K_CTR",
    "EDWW_F_CTR",
    "EDMM_M_CTR",
    "EDMM_G_CTR",
    "EDUU_O_CTR",
    "EDUU_E_CTR",
    "--",
    "EDBB_S_APP",
    "EDBB_N_APP",
    "EDBB_U_APP",
    "EDBB_F_APP",
    "EDBB_S_DEP",
    "EDBB_N_DEP",
    "--",
    "EDDB_N_TWR",
    "EDDB_S_TWR",
    "EDDB_A_GND",
    "EDDB_E_GND",
    "EDDB_N_GND",
    "EDDB_S_GND",
    "EDDB_DEL",
    "--",
    "EDDP_S_APP",
    "EDDP_F_APP",
    "EDDP_N_APP",
    "EDDP_N_TWR",
    "EDDP_S_TWR",
    "EDDP_GND",
    "EDDP_DEL",
    "--",
    "EDDC_APP",
    "EDDC_TWR",
    "EDDC_GND",
    "EDDC_A_GND",
    "--",
    "EDDE_TWR",
    "EDDE_GND",
    "EDDE_A_GND"
];

$optional = [
    "EDWW_CTR",
    "EDWW_A_CTR",
    "EDWW_M_CTR",
    "EDWW_K_CTR",
    "EDWW_F_CTR",
    "EDMM_M_CTR",
    "EDUU_O_CTR",
    "EDUU_E_CTR",
    "EDBB_N_APP",
    "EDBB_F_APP",
    "EDBB_N_DEP",
    "EDDB_S_TWR",
    "EDDB_E_GND",
    "EDDB_S_GND",
    "EDDP_F_APP",
    "EDDP_N_APP",
    "EDDP_S_TWR",
    "EDDP_GND",
    "EDDP_DEL",
    "EDDC_APP",
    "EDDC_GND",
    "EDDC_A_GND",
    "EDDE_GND",
    "EDDE_A_GND"
];

$wantedstns = ['EDWW_B_CTR', 'EDMM_G_CTR', 'EDBB_S_APP', 'EDBB_U_APP', 'EDBB_S_DEP', 'EDDB_N_TWR', 'EDDB_A_GND', 'EDDB_DEL', 'EDDB_N_GND'];
//echo "<pre>";

//$sched = new Schedule(Schedule::EveryXDaysFromStartdate("26.02.2021", 4, 2), $stations);
$wanted = Schedule::processWantedDays($wantedstns, Schedule::EveryWeekday("Tuesday", 5), $wantedstns, Schedule::EveryXWeeksFromStartdate("2021-10-08", 4, 2));
//var_dump($wanted);
//exit;
$sched = new Schedule(Schedule::WholeWeek("today"), $stations, $optional, $wanted, false);
$image = $sched->createImage();

header("Content-Type: image/jpg");
imagejpeg($image);

//imagejpeg($image, __DIR__ . "/test.jpg");
//?/> <br><img src="test.jpg">